%global momorel 1

Summary: A vector graphics library
Name: cairo
Version: 1.8.8
Release: %{momorel}m%{?dist}
URL: http://cairographics.org

Source0: http://cairographics.org/releases/%{name}-%{version}.tar.gz
#Source0: http://cairographics.org/snapshots/%{name}-%{version}.tar.gz
NoSource: 0
License: LGPL or MPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: poppler >= 0.8.0
Requires: glitz
BuildRequires: pkgconfig
BuildRequires: libpng-devel
BuildRequires: freetype-devel >= 2.1.9
BuildRequires: fontconfig-devel >= 2.2.3
BuildRequires: libX11-devel, libXrender-devel
BuildRequires: libxcb-devel, xcb-util-devel
BuildRequires: glitz-devel
BuildRequires: poppler-devel >= 0.10.0
BuildRequires: pixman >= 0.12.0

%description 
Cairo is a 2D graphics library with support for multiple output devices.
Currently supported output targets include the X Window System, win32,
and image buffers. Experimental backends include OpenGL (through glitz),
Quartz, XCB, PostScript and PDF file output.

Cairo is designed to produce consistent output on all output media while
taking advantage of display hardware acceleration when available
(for example, through the X Render Extension).

The cairo API provides operations similar to the drawing operators of
PostScript and PDF. Operations in cairo including stroking and filling
cubic Bezier splines, transforming and compositing translucent images,
and antialiased text rendering. All drawing operations can be transformed
by any affine transformation (scale, rotation, shear, etc.).


%package devel
Summary: Cairo developmental libraries and header files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: xcb-util-devel
Requires: glitz-devel
Requires: freetype-devel
Requires: fontconfig-devel
Requires: libpng-devel
Requires: libxcb-devel
Requires: libXrender-devel
Requires: libX11-devel
Requires: pixman-devel

%description devel
Developmental libraries and header files required for developing or
compiling software which links to the cairo library, which is an open
source vector graphics library.

%prep
%setup -q

%build
%configure --enable-xlib=yes \
    --enable-xlib-xrender=yes \
    --enable-xcb=yes \
    --enable-png=yes \
    --enable-glitz=yes \
    --enable-freetype=yes \
    --enable-ps=yes \
    --enable-pdf=yes \
    --enable-svg=yes \
    --enable-gtk-doc
#    --enable-gcov
#    --enable-quartz=yes \
#    --enable-directfb=yes (http://www.directfb.org)\
#    --enable-atsui=yes \
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig 

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README 
%{_libdir}/libcairo*.so.* 
%exclude %{_libdir}/libcairo*.la

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/libcairo.a
%{_libdir}/libcairo*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc/*

%changelog
* Tue Jun 30 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.8.8-1m)
- update to 1.8.8

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.8.6-2m)
- rebuild against rpm-4.6

* Mon Dec 22 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.8.6-1m)
- update to 1.8.6

* Sun Nov 16 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.8.4-1m)
- update to 1.8.4

* Tue Oct 21 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.8.0-1m)
- update to 1.8.0

* Tue Oct  7 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.4-5m)
- add Requires at %%package devel

* Tue Sep 23 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.7.6-1m)
- update 1.7.6 (unstable)

* Sun Sep 21 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.6.4-4m)
- add Requires: glitz

* Sat Jun 14 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.6.4-3m)
- add Requires: xcb-util-devel

* Thu Apr 17 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.4-2m)
- add BuildRequires: pixman >= 0.10.0

* Sun Apr 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.6.4-1m)
- update to 1.6.4

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.14-3m)
- rebuild against gcc43

* Sun Mar 16 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.14-2m)
- add many configure flags

* Sun Jan 27 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.14-1m)
- update to 1.4.14

* Sat Dec  1 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.12-1m)
- update to 1.4.12
- [SECURITY] CVE-2007-5503

* Fri Jun 29 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.10-1m)
- update to 1.4.10

* Tue Jun 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.8-1m)
- update to 1.4.8

* Wed May  2 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.6-1m)
- update to 1.4.6

* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.4-1m)
- update to 1.4.4

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.2-2m)
- BuildRequires: freetype2-devel -> freetype-devel

* Fri Mar 23 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.2-1m)
- update to 1.4.2

* Tue Mar  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.0-1m)
- update to 1.4.0

* Tue Feb 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.3.14-2m)
- good-bye %%makeinstall

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.3.14-1m)
- update to 1.3.14 (development snapshot)

* Fri Nov 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.6-1m)
- update to 1.2.6

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.4-1m)
- update to 1.2.4
- delete libtool library

* Fri Mar 17 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0.4-1m)
- version 1.0.4(bug-fix release)
- remove Patch0: cairo-1.0.0-pkgconfig-0_15.patch
-        Patch1: cairo-1.0.2-dup-define.patch

* Wed Jan 18 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.2-2m)
- add Patch1: cairo-1.0.2-dup-define.patch
- Bug #5136 (https://bugs.freedesktop.org/show_bug.cgi?id=5136)
- Remove duplicate definitions of pixman_color_to_pixel and pixman_composite.

* Fri Oct  7 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.2-1m)
- version 1.0.2

* Thu Sep 22 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0.0-3m)
- revised Patch0(add xft in cairo.pc)

* Thu Sep 22 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0.0-2m)
- add Patch0: cairo-1.0.0-pkgconfig-0_15.patch

* Tue Aug 30 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0.0-1m)
- initial import

